## view.xhtml
Class SelectOption

    java.lang.Object
      view.xhtml.HtmlObject
          view.xhtml.HtmlElement
              view.xhtml.ContainerElement
                  view.xhtml.SelectOption

    public class SelectOption

extends ContainerElement

Constructor Summary
`SelectOption(java.lang.String value)` Constructs the element.
`SelectOption(java.lang.String value, java.lang.String text)` As above, but...
`SelectOption(java.lang.String value, java.lang.String text, boolean selected)` As above, but...

Method Summary

Methods inherited from class view.xhtml.ContainerElement
`add, add, getHtml, getHtml`

Methods inherited from class view.xhtml.HtmlElement
`getCloseTag, getCloseTag, getStartTag, getStartTag, setAttribute, setClass, setId, setName`

Methods inherited from class view.xhtml.HtmlObject
`getHtml, getIndent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SelectOption

    public SelectOption(java.lang.String value)

  Constructs the element.

  Parameters:
    `value` - a value for the 'value' attribute.

### SelectOption

    public SelectOption(java.lang.String value,
                        java.lang.String text)

  As above, but...

  Parameters:
    `text` - a text to automatically add to itself.

### SelectOption

    public SelectOption(java.lang.String value,
                        java.lang.String text,
                        boolean selected)

  As above, but...

  Parameters:
    `selected` - if true, the 'selected' attribute is set to 'selected'.